//
//  Person.m
//  RaiseMan
//
//  Created by narita on 2013/04/05.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import "Person.h"

@implementation Person

@synthesize personName;
@synthesize expectedRaise;


- (id)init
{
    self = [super init];
    
    if (self)
    {
        expectedRaise = 0.05;
        personName = @"NewPerson";
    }
    
    return self;
}


- (void) setNilValueForKey:(NSString *)key
{
    if( [key isEqualToString:@"expectedRaise"] )
    {
        [self setExpectedRaise:0.0];
    }
    else
    {
        [super setNilValueForKey:key];
    }
}

- (void) encodeWithCoder:(NSCoder *)aCoder
{
    // [super encodeWithCoder:aCoder];
    
    [aCoder encodeObject:personName forKey:@"personName"];
    [aCoder encodeFloat:expectedRaise forKey:@"expectedRaise"];
}

- (id) initWithCoder:(NSCoder *)aDecoder
{
    //     self = [super initWithCoder:aDecoder];
    self = [super init];
    
    if(self)
    {
        personName = [aDecoder decodeObjectForKey:@"personName"];
        expectedRaise = [aDecoder decodeFloatForKey:@"expectedRaise"];
    }
    
    return self;
}


@end
