//
//  PreferenceController.h
//  RaiseMan
//
//  Created by narita on 2013/09/19.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>


extern NSString* const BNRTableBgColorKey;
extern NSString* const BNREmptyDocKey;


@interface PreferenceController : NSWindowController
{
    IBOutlet NSColorWell* colorWell;
    IBOutlet NSButton*    checkBox;
}

+ (NSColor*) preferenceTableBgColor;
+ (void)     setPreferenceTableBgColor:(NSColor*)inColor;

+ (BOOL) preferenceEmptyDoc;
+ (void) setPreferenceEmptyDoc:(BOOL)inEmptyDoc;

- (IBAction) changeBackgroundColor:(id)sender;
- (IBAction) changeNewEmptyDoc:(id)sender;

- (IBAction) resetPreferences:(id)sender;

@end
